Vue.component('follow-bottom', {
	template: '<div class="plr30 ptb10">\
		<p class="c-f16 c-37a6ed">签到信息</p>\
		<div class="plr30">\
			<div class="ui-grid mt10">\
				<div class="ui-col-1">签到方式:&emsp;定位签到</div>\
				<div class="ui-col-1">签到时间:&emsp;<span v-html="followUpData.createTime">2019-01-01 10:10:10</span></div>\
			</div>\
			<div class="mt10">签到位置:&emsp;<span v-html="followUpData.address">福建省厦门市思明区软件园望海路</span></div>\
			<div class="ui-grid mt10">\
				<div class="ui-col-0">签到拍照:&emsp;</div>\
				<div class="ui-col-0"><img :src="imgSrc" width="50" height="50"></div>\
			</div>\
		</div>\
	</div>',
	props: ['followupid'],
	data: function () {
		return {
			followUpList: [],
			curPage: 1,
			followUpData: {},
			imgSrc: '../../images/d-male.png'
		}
	},
	watch: {
		followUpData: function (val) {
			this.followUpList = this.followUpData;
		}
	},
	mounted: function () {
		this.getData()
	},
	methods: {
		getData: function () {
			var vm = this
			fangshiAPI.findByFollowupId({ followupId: this.followupid || '1' }).then(function (res) {
				if (res.status == 200) {
					var data = res.data
					if (data != null) {
						vm.followUpData = data
					}
					// vm.imgSrc=data.img?data.img:''
				} else {
					top.toastr.error(res.msg);
				}
			})

		}
	},

})